# Utilities

This is a PCMRBot.js module that provides commonly used, generic utilities used by multiple other services. 

There is no suggested limit to the number of instances of this module you can run.

## Dependencies

This module has no dependencies.

## Environment variables

The following environment variables should be set prior to launch. 

* Broker options
  * (optional) `TRANSPORT_NODE_ID` - The node ID that should be used for connecting to the rest of the cluster. Defaults to the system hostname plus a random number string. 
  * (optional) `TRANSPORT_BIND_ADDRESS` - The network address that the service broker should bind to. Defaults to all available addresses across all network interfaces.

# API reference

{{>main}}